︠953ae83e-443d-4697-b87e-c3332f9f51ef︠
##Problem one Romeo and Juliet

s=var("R,J")         # R and J are the variables
t=srange(0,20,0.05)   # we will use t for desolve_odeint.  It is the range of time values
                      # for which we will solve the differential equations.
ic1=[.5,.6]           # our 4 initial conditions.  Play around with different values for these.
ic2=[.5,-.2]
ic3=[-.9,.6]
ic4=[-.5,-.7]

@interact
def Romeo_Juliet(a=slider(-2,2,0.5,default=-1),
                 b=slider(-2,2,0.5,default=0),
                 c=slider(-2,2,0.5,default=0),
                 d=slider(-2,2,0.5,default=-1)):
                 # use 4 sliders for the coefficients, set the default values
                 # for a,d to -1, b and c to 0.
    titleeq= ("$R'= "+'%2.1f'%(a)+" R  "+"%+2.1f"%(b)+" J$\n"
            +"$J' = "+'%2.1f'%(c)+" R  "+"%+2.1f"%(d)+" J$")
                 # some fancy formatting stuff to create a title with our differential equations
    vector_field=[a*R+b*J,c*R+d*J]
                 # our differential equations
    pv=plot_vector_field(vector_field,(R,-1,1),(J,-1,1),plot_points=11,axes_labels=["R","J"])
                 # plot the vector field,R and J both going from -1 to 1, using 11x11 arrows
    sol1=desolve_odeint(vector_field,times=t,ics=ic1,dvars=[R,J])
                 # solve the differential equation starting at ic1, for times in t
    ps1=list_plot(sol1,plotjoined=True,color='blue')+disk(ic1,.03,(0,2*pi),color='blue')
                 # plot a trajectory starting at ic2, with a starting dot
    sol2=desolve_odeint(vector_field,times=t,ics=ic2,dvars=[R,J])
                 # solve the differential equation starting at ic2, for times in t
    ps2=list_plot(sol2,plotjoined=True,color='red')+disk(ic2,.03,(0,2*pi),color='red')
                 # plot a trajectory starting at ic2, with a starting dot
    sol3=desolve_odeint(vector_field,times=t,ics=ic3,dvars=[R,J])
                 # solve the differential equation starting at ic3, for times in t
    ps3=list_plot(sol3,plotjoined=True,color='green')+disk(ic3,.03,(0,2*pi),color='green')
                 #plot a trajectory starting at ic3, with a starting dot
    sol4=desolve_odeint(vector_field,times=t,ics=ic4,dvars=[R,J])
                 # solve the differential equation starting at ic4, for times in t
    ps4=list_plot(sol4,plotjoined=True,color='purple')+disk(ic4,.03,(0,2*pi),color='purple')
                 #a trajectory starting at ic2, with a starting dot
    show(pv+ps1+ps2+ps3+ps4,xmin=-1,xmax=1,ymin=-1,ymax=1,aspect_ratio=1,
         title=titleeq,figsize=8,fontsize=20)#"R'=aR+bJ\n J'=cR+dJ")
                 # combine and show the plots but limit the range of x and of y, add the title etc.
︡e937d8c6-6adf-41f0-8036-5b889a56a61e︡{"interact":{"controls":[{"animate":true,"control_type":"slider","default":2,"display_value":true,"label":"a","vals":["-2.00000000000000","-1.50000000000000","-1.00000000000000","-0.500000000000000","0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000"],"var":"a","width":null},{"animate":true,"control_type":"slider","default":4,"display_value":true,"label":"b","vals":["-2.00000000000000","-1.50000000000000","-1.00000000000000","-0.500000000000000","0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000"],"var":"b","width":null},{"animate":true,"control_type":"slider","default":4,"display_value":true,"label":"c","vals":["-2.00000000000000","-1.50000000000000","-1.00000000000000","-0.500000000000000","0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000"],"var":"c","width":null},{"animate":true,"control_type":"slider","default":2,"display_value":true,"label":"d","vals":["-2.00000000000000","-1.50000000000000","-1.00000000000000","-0.500000000000000","0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000"],"var":"d","width":null}],"flicker":false,"id":"bdef8b1f-b4bd-4d90-86c6-efe4fab491e2","layout":[[["a",12,null]],[["b",12,null]],[["c",12,null]],[["d",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}
︠fa68cc72-3639-41e0-a1d7-0a83761b18d0s︠



︡25310e5f-dc86-4e55-bf9b-4da2142451d8︡{"done":true}
︠0cd2a7ba-6417-493a-8383-c7af3e1dde8d︠
︡7b942350-28a1-4dc9-a310-ddc920c6d953︡
︠cf0c1d36-62b0-40f6-8c0c-fce1a89db120︠

︡984c71f3-cde8-4b06-8778-25050c78e701︡
︠95ae4c4b-58fa-4478-9a45-e80bc9f6ae7d︠
︡c22a3953-93d9-42a6-992e-f2a6e2741d48︡e7cc6f16-a50c-4779-a669-bb36d39d02c6︡4379e5ab-0049-4303-94b9-e3ce5bfbd4ef︡7f1e4880-fac0-4bad-8ef3-de9ee814a950︡
︠03fc4a66-5957-43d1-9c38-cd97ec32b9c3︠
︡e3fdc459-c80e-47da-88f9-b39a675eb232︡
︠2071cbdb-a72f-476c-94f6-b0dfac5f0234︠
vs=var("D,M")
t=srange(0,50,0.05)
Dmax=3.1
Mmax=2.5
@interact
def Deer_Moose(r_D=slider(0,5,0.5,default=3,label="$r_D$"),
               r_M=slider(0,5,0.5,default=2,label="$r_M$"),
               alpha=slider(0,2,0.5,default=0.5,label="$\\alpha$"),
               D0=slider(0,Dmax,0.1,default=1,label="$D_0$"),
               M0=slider(0,Mmax,0.1,default=1,label="$M_0$")):
      titleeq=("$D'= " + '%2.1f'%(r_D) + " D - M D - D^2$\n " +
               "$M'= " + '%2.1f'%(r_M) + " M - " + '%2.1f'%(alpha) + " M D - M^2$")
      vector_field=[r_D*D-M*D-D^2,r_M*M-alpha*M*D-M^2]
      initial_value=[D0,M0]
      pv=plot_vector_field(vector_field,(D,0,Dmax),(M,0,Mmax),plot_points=11,axes_labels=["D","M"])
      sol1=desolve_odeint(vector_field,times=t,ics=initial_value,dvars=[D,M])
      ps1=list_plot(sol1,plotjoined=True,color='green',thickness=2)
      d1=disk(initial_value,.035,(0,2*pi),color='green')
      nullclines=( plot(r_D-D,(D,0,r_D),color="red",thickness=3)
                  +plot(r_M-alpha*D,(D,0,r_M/alpha),color="blue",thickness=3))
      show(pv+ps1+d1+nullclines,xmin=0,xmax=Dmax,ymin=0,ymax=Mmax,
            aspect_ratio=1,title=titleeq,figsize=8,fontsize=20,svg=False)

def Scale_vf(xy):
# a function that takes  a vector input and returns a scaled
# version of the vector to keep arrows from getting too long
#
    scale=sqrt(5+xy[0]^2+xy[1]^2)
    return [xy[0]/scale,xy[1]/scale]
︡534c4af7-499e-42bd-a606-5c17aa2e1d3b︡{"interact":{"controls":[{"animate":true,"control_type":"slider","default":6,"display_value":true,"label":"$r_D$","vals":["0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000","2.50000000000000","3.00000000000000","3.50000000000000","4.00000000000000","4.50000000000000","5.00000000000000"],"var":"r_D","width":null},{"animate":true,"control_type":"slider","default":4,"display_value":true,"label":"$r_M$","vals":["0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000","2.50000000000000","3.00000000000000","3.50000000000000","4.00000000000000","4.50000000000000","5.00000000000000"],"var":"r_M","width":null},{"animate":true,"control_type":"slider","default":1,"display_value":true,"label":"$\\alpha$","vals":["0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000"],"var":"alpha","width":null},{"animate":true,"control_type":"slider","default":10,"display_value":true,"label":"$D_0$","vals":["0.000000000000000","0.100000000000000","0.200000000000000","0.300000000000000","0.400000000000000","0.500000000000000","0.600000000000000","0.700000000000000","0.800000000000000","0.900000000000000","1.00000000000000","1.10000000000000","1.20000000000000","1.30000000000000","1.40000000000000","1.50000000000000","1.60000000000000","1.70000000000000","1.80000000000000","1.90000000000000","2.00000000000000","2.10000000000000","2.20000000000000","2.30000000000000","2.40000000000000","2.50000000000000","2.60000000000000","2.70000000000000","2.80000000000000","2.90000000000000","3.00000000000000","3.10000000000000"],"var":"D0","width":null},{"animate":true,"control_type":"slider","default":10,"display_value":true,"label":"$M_0$","vals":["0.000000000000000","0.100000000000000","0.200000000000000","0.300000000000000","0.400000000000000","0.500000000000000","0.600000000000000","0.700000000000000","0.800000000000000","0.900000000000000","1.00000000000000","1.10000000000000","1.20000000000000","1.30000000000000","1.40000000000000","1.50000000000000","1.60000000000000","1.70000000000000","1.80000000000000","1.90000000000000","2.00000000000000","2.10000000000000","2.20000000000000","2.30000000000000","2.40000000000000","2.50000000000000"],"var":"M0","width":null}],"flicker":false,"id":"17f35a66-f3b1-43e1-b7a8-eb654a81a5d4","layout":[[["r_D",12,null]],[["r_M",12,null]],[["alpha",12,null]],[["D0",12,null]],[["M0",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}
︠54beab1e-073b-4260-a581-f821d85de91c︠

#red line is null line for D
#where they cross D' and M' are zero and that is an equilibrium point


︡6852ca8d-288d-4fb6-8db3-596476055afb︡
︠c9e99b67-e800-45b9-abfb-1e577a1558bf︠︠86f69a6a-92be-4793-8680-37e8ab5a35︠
︡d1abf6d5-8321-46e3-8f5f-7afd7d0d4e19︡
︠90a42a36-ec27-42fe-8b5c-591cc9a6fe6a︠
︡67452216-dbcf-4043-a001-66e12d7a26c9︡
︠f51e8fd8-a6f0-44f1-a364-a1c91166b528︠
︡ed617124-e011-4307-bc7e-1d2232a0ef30︡
︠e29d7718-a274-4609-a6eb-ff2f832a0e6b︠
︡0945e77e-7e83-457f-a901-2bfa20d3ae73︡
︠7bb4afcf-8fa8-4ed5-833f-58c7e2c4aaa3︠
︡6d1a8598-095a-4931-bd97-d37de1132f99︡
︠7b426d89-38d3-4685-98ad-5c8d86302bb7︠
︡396684c6-c99a-4cff-b27a-c9a2897e8007︡
︠9bdbc1ed-5330-4b20-8d5d-97a8543e3fb1︠
#Deer Moose norm
︡3bc7815a-1eec-41ab-a375-c7be9e80f6d7︡
︠1ad77b4b-a840-43d8-a7df-dff310412a5c︠
︡bb9c58aa-ecd2-4b10-8e99-967e3524263e︡
︠dfa5e08b-b036-42ac-ad60-efaddfb3b69b︠
︡49295215-4ad0-4d12-9025-cfdd9959c3e0︡
︠af0abf83-df81-4eb4-ba7c-dcc8b13e78f7︠
##I have made the comments on this so we can put it into the answer PDF when ready. Please do not delete! --Nicole
︡79520599-0f68-4ac1-b896-d70ba3d81447︡
︠46b1fad8-e5c8-410f-8166-ffa64e1d0692︠
def Scale_vf(xy):
# a function that takes  a vector input and returns a scaled
# version of the vector to keep arrows from getting too long
#
    scale=sqrt(5+xy[0]^2+xy[1]^2)
    return [xy[0]/scale,xy[1]/scale]

vs=var("D,M")#tells the program what the names of the variables are
t=srange(0,50,0.05)#sets up "t" as a list of numbers from 0-50 in steps of 0.05, this will be used later int he code
Dmax=4.0 #sets up Dmax as a variable to be used later
Mmax=3.5 #sets up Mmax as a variable to be used later
@interact #starts the code as an interaction
def Deer_Moose_norm(r_D=slider(0,5,0.5,default=3,label="$r_D$"), #set up the 4 sliders in the interaction so that we can manipulate the values of the coefficients in the equations
                    r_M=slider(0,5,0.5,default=2,label="$r_M$"),
                    alpha=slider(0,2,0.5,default=0.5,label="$\\alpha$"),
                    D0=slider(0,Dmax,0.1,default=1,label="$D_0$"),
                    M0=slider(0,Mmax,0.1,default=1,label="$M_0$")):
    titleeq=("$D'= " + '%3.1f'%(r_D) + " D - M D - D^2$\n " +
               "$M'= " + '%3.1f'%(r_M) + " M - " + '%3.1f'%(alpha) + " M D - M^2$") #these two lines list the equations of the system as a title to the graph/vector field
    vector_field=[r_D*D-M*D-D^2,r_M*M-alpha*M*D-M^2] #tells it to plot a vector field using the system equation. the coefficients in the original system of equations have been replaced with the terms used in the slider function
    initial_value=[D0,M0] #tells the program what the initial values are for the starting point
    pv=plot_vector_field(Scale_vf(vector_field),(D,0,Dmax),(M,0,Mmax), #puts the vector field into a named variable to be used later
                          plot_points=11,axes_labels=["D","M"])
                                                              # plot the scaled vector field
    sol1=desolve_odeint(vector_field,times=t,ics=initial_value,dvars=[D,M]) #this next section of code is to set up the trajectory line
    ps1=list_plot(sol1,plotjoined=True,color='green',thickness=2) #stores the trajectory line in to the variable ps1
    d1=disk(initial_value,.035,(0,2*pi),color='green') #this line is just to put a dot ("disk") at the beginning of the trajectory line to make it easier to see
    nullclines=(plot(r_D-D,(D,0,r_D),color="red",thickness=3) #these lines are to plot the nullclines of the system as red and blue lines on the vector graph
                +plot(r_M-alpha*D,(D,0,r_M/alpha),color="blue",thickness=3))
    show(pv+ps1+d1+nullclines,xmin=0,xmax=Dmax,ymin=0,ymax=Mmax,
         aspect_ratio=1,title=titleeq,figsize=8,fontsize=20,svg=False)#tells it to show all the plots on one graph with various guidelines #square, no frame, size eight

︡d471425a-7a10-4d76-b5f4-b9e2f73e067b︡{"interact":{"controls":[{"animate":true,"control_type":"slider","default":6,"display_value":true,"label":"$r_D$","vals":["0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000","2.50000000000000","3.00000000000000","3.50000000000000","4.00000000000000","4.50000000000000","5.00000000000000"],"var":"r_D","width":null},{"animate":true,"control_type":"slider","default":4,"display_value":true,"label":"$r_M$","vals":["0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000","2.50000000000000","3.00000000000000","3.50000000000000","4.00000000000000","4.50000000000000","5.00000000000000"],"var":"r_M","width":null},{"animate":true,"control_type":"slider","default":1,"display_value":true,"label":"$\\alpha$","vals":["0.000000000000000","0.500000000000000","1.00000000000000","1.50000000000000","2.00000000000000"],"var":"alpha","width":null},{"animate":true,"control_type":"slider","default":10,"display_value":true,"label":"$D_0$","vals":["0.000000000000000","0.100000000000000","0.200000000000000","0.300000000000000","0.400000000000000","0.500000000000000","0.600000000000000","0.700000000000000","0.800000000000000","0.900000000000000","1.00000000000000","1.10000000000000","1.20000000000000","1.30000000000000","1.40000000000000","1.50000000000000","1.60000000000000","1.70000000000000","1.80000000000000","1.90000000000000","2.00000000000000","2.10000000000000","2.20000000000000","2.30000000000000","2.40000000000000","2.50000000000000","2.60000000000000","2.70000000000000","2.80000000000000","2.90000000000000","3.00000000000000","3.10000000000000","3.20000000000000","3.30000000000000","3.40000000000000","3.50000000000000","3.60000000000000","3.70000000000000","3.80000000000000","3.90000000000000","4.00000000000000"],"var":"D0","width":null},{"animate":true,"control_type":"slider","default":10,"display_value":true,"label":"$M_0$","vals":["0.000000000000000","0.100000000000000","0.200000000000000","0.300000000000000","0.400000000000000","0.500000000000000","0.600000000000000","0.700000000000000","0.800000000000000","0.900000000000000","1.00000000000000","1.10000000000000","1.20000000000000","1.30000000000000","1.40000000000000","1.50000000000000","1.60000000000000","1.70000000000000","1.80000000000000","1.90000000000000","2.00000000000000","2.10000000000000","2.20000000000000","2.30000000000000","2.40000000000000","2.50000000000000","2.60000000000000","2.70000000000000","2.80000000000000","2.90000000000000","3.00000000000000","3.10000000000000","3.20000000000000","3.30000000000000","3.40000000000000","3.50000000000000"],"var":"M0","width":null}],"flicker":false,"id":"7e869784-d392-402e-b79a-c7acf4845407","layout":[[["r_D",12,null]],[["r_M",12,null]],[["alpha",12,null]],[["D0",12,null]],[["M0",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}
︠8f74753d-109a-4b2c-97ad-084a8bf6c7ea︠

︡55cb7402-ea2a-4166-a102-246c88d215ad︡
︠76d020ce-ce5f-4a5c-9d16-9a3ebc654044︠

︡1a47990a-357a-43fc-937d-39ad6f99dee8︡
︠95824a16-59b1-45a2-a08e-eaac040c6659︠

##Shark tuna
︡cfba0b80-d344-47c7-9de2-612c380de9db︡
︠dcb92c9c-73a9-4152-aa13-dc3f103baa7b︠
︡db69a42c-5f31-4ca9-9511-c78236daa98f︡
︠d133e692-4674-4e10-9d29-6c4b0acbc958︠
︡4c018871-d90a-4a39-9557-faf098b1fbd3︡
︠be4eaa49-6f8b-48ab-9d9a-f04166c2dcb6︠
︡6c54e379-cd8e-41cc-a81a-7a10dba47b4e︡
︠30c2898b-63e4-4d4a-a2d1-d572841dc7c4s︠
def Scale_vf(xy):
# a function that takes  a vector input and returns a scaled
# version of the vector to keep arrows from getting too long
#
    scale=sqrt(5+xy[0]^2+xy[1]^2)
    return [xy[0]/scale,xy[1]/scale]

vs=var('T,S')
t=srange(0,150,0.05)
Tmax=100
Smax=40
@interact
def Shark_Tuna_norm(r_T=slider(0,0.4,0.01,default=0.1,label="$r_T$"),
                    r_S=slider(-0.5,0,0.1,default=-0.2,label="$r_S$"),
                    beta=slider(0,0.1,0.005,default=0.01,label="$\\beta$"),
                    m=slider(0,1,0.01,default=0.5,label="$m$"),
                    T0=slider(0,Tmax,0.1,default=20,label="$T_0$"),
                    S0=slider(0,Smax,0.1,default=10,label="$S_0$")):
    titleeq=("$T'= "+'%4.3f'%(r_T)+" T  - "'%4.3f'%(beta)+" S T$\n "
               +"$S' = "+'%4.3f'%(r_S)+" S  + "+'%4.3f'%(beta*m)+" S T$")
    vector_field=[r_T*T-beta*T*S,r_S*S+m*beta*T*S]
    initial_value=[T0,S0]
    pv=plot_vector_field(Scale_vf(vector_field),(T,0,Tmax),
                         (S,0,Smax),plot_points=11,axes_labels=["T","S"])
    sol1=desolve_odeint(vector_field,times=t,ics=initial_value,dvars=[T,S])
    ps1=list_plot(sol1,plotjoined=True,color='green',thickness=2)
    d1=disk(initial_value,1,(0,2*pi),color='green')
    show(pv+ps1+d1,xmin=0,xmax=Tmax,ymin=0,ymax=Smax,
         aspect_ratio=1,title=titleeq,figsize=8,fontsize=20,svg=False)

︡61ec088c-629c-4b7e-86de-c6ce0c7adb83︡{"interact":{"controls":[{"animate":true,"control_type":"slider","default":10,"display_value":true,"label":"$r_T$","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000"],"var":"r_T","width":null},{"animate":true,"control_type":"slider","default":3,"display_value":true,"label":"$r_S$","vals":["-0.500000000000000","-0.400000000000000","-0.300000000000000","-0.200000000000000","-0.100000000000000","0.000000000000000"],"var":"r_S","width":null},{"animate":true,"control_type":"slider","default":2,"display_value":true,"label":"$\\beta$","vals":["0.000000000000000","0.00500000000000000","0.0100000000000000","0.0150000000000000","0.0200000000000000","0.0250000000000000","0.0300000000000000","0.0350000000000000","0.0400000000000000","0.0450000000000000","0.0500000000000000","0.0550000000000000","0.0600000000000000","0.0650000000000000","0.0700000000000000","0.0750000000000000","0.0800000000000000","0.0850000000000000","0.0900000000000000","0.0950000000000000","0.100000000000000"],"var":"beta","width":null},{"animate":true,"control_type":"slider","default":50,"display_value":true,"label":"$m$","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"m","width":null},{"animate":true,"control_type":"slider","default":100,"display_value":true,"label":"$T_0$","vals":["0.000000000000000","0.200000000000000","0.400000000000000","0.600000000000000","0.800000000000000","1.00000000000000","1.20000000000000","1.40000000000000","1.60000000000000","1.80000000000000","2.00000000000000","2.20000000000000","2.40000000000000","2.60000000000000","2.80000000000000","3.00000000000000","3.20000000000000","3.40000000000000","3.60000000000000","3.80000000000000","4.00000000000000","4.20000000000000","4.40000000000000","4.60000000000000","4.80000000000000","5.00000000000000","5.20000000000000","5.40000000000000","5.60000000000000","5.80000000000000","5.99999999999999","6.19999999999999","6.39999999999999","6.59999999999999","6.79999999999999","6.99999999999999","7.19999999999999","7.39999999999999","7.59999999999999","7.79999999999999","7.99999999999999","8.19999999999999","8.39999999999999","8.59999999999999","8.79999999999998","8.99999999999998","9.19999999999998","9.39999999999998","9.59999999999998","9.79999999999998","9.99999999999998","10.2000000000000","10.4000000000000","10.6000000000000","10.8000000000000","11.0000000000000","11.2000000000000","11.4000000000000","11.6000000000000","11.8000000000000","12.0000000000000","12.2000000000000","12.4000000000000","12.6000000000000","12.8000000000000","13.0000000000000","13.2000000000000","13.4000000000000","13.6000000000000","13.8000000000000","14.0000000000000","14.2000000000000","14.4000000000000","14.6000000000000","14.8000000000000","15.0000000000000","15.2000000000000","15.4000000000000","15.6000000000000","15.8000000000000","16.0000000000000","16.2000000000000","16.4000000000000","16.6000000000000","16.8000000000000","17.0000000000000","17.2000000000000","17.4000000000000","17.6000000000000","17.8000000000000","18.0000000000000","18.2000000000000","18.4000000000000","18.6000000000000","18.8000000000000","19.0000000000000","19.2000000000000","19.4000000000000","19.6000000000000","19.8000000000000","20.0000000000000","20.2000000000000","20.4000000000000","20.6000000000000","20.8000000000000","21.0000000000000","21.2000000000000","21.4000000000000","21.6000000000000","21.8000000000000","22.0000000000000","22.2000000000000","22.4000000000000","22.6000000000001","22.8000000000001","23.0000000000001","23.2000000000001","23.4000000000001","23.6000000000001","23.8000000000001","24.0000000000001","24.2000000000001","24.4000000000001","24.6000000000001","24.8000000000001","25.0000000000001","25.2000000000001","25.4000000000001","25.6000000000001","25.8000000000001","26.0000000000001","26.2000000000001","26.4000000000001","26.6000000000001","26.8000000000001","27.0000000000001","27.2000000000001","27.4000000000001","27.6000000000001","27.8000000000001","28.0000000000001","28.2000000000001","28.4000000000001","28.6000000000001","28.8000000000001","29.0000000000001","29.2000000000001","29.4000000000001","29.6000000000002","29.8000000000002","30.0000000000002","30.2000000000002","30.4000000000002","30.6000000000002","30.8000000000002","31.0000000000002","31.2000000000002","31.4000000000002","31.6000000000002","31.8000000000002","32.0000000000002","32.2000000000002","32.4000000000002","32.6000000000002","32.8000000000002","33.0000000000002","33.2000000000002","33.4000000000002","33.6000000000002","33.8000000000002","34.0000000000002","34.2000000000002","34.4000000000002","34.6000000000002","34.8000000000002","35.0000000000002","35.2000000000002","35.4000000000002","35.6000000000002","35.8000000000002","36.0000000000002","36.2000000000002","36.4000000000002","36.6000000000003","36.8000000000003","37.0000000000003","37.2000000000003","37.4000000000003","37.6000000000003","37.8000000000003","38.0000000000003","38.2000000000003","38.4000000000003","38.6000000000003","38.8000000000003","39.0000000000003","39.2000000000003","39.4000000000003","39.6000000000003","39.8000000000003","40.0000000000003","40.2000000000003","40.4000000000003","40.6000000000003","40.8000000000003","41.0000000000003","41.2000000000003","41.4000000000003","41.6000000000003","41.8000000000003","42.0000000000003","42.2000000000003","42.4000000000003","42.6000000000003","42.8000000000003","43.0000000000003","43.2000000000003","43.4000000000003","43.6000000000003","43.8000000000004","44.0000000000004","44.2000000000004","44.4000000000004","44.6000000000004","44.8000000000004","45.0000000000004","45.2000000000004","45.4000000000004","45.6000000000004","45.8000000000004","46.0000000000004","46.2000000000004","46.4000000000004","46.6000000000004","46.8000000000004","47.0000000000004","47.2000000000004","47.4000000000004","47.6000000000004","47.8000000000004","48.0000000000004","48.2000000000004","48.4000000000004","48.6000000000004","48.8000000000004","49.0000000000004","49.2000000000004","49.4000000000004","49.6000000000004","49.8000000000004","50.0000000000004","50.2000000000004","50.4000000000004","50.6000000000004","50.8000000000005","51.0000000000005","51.2000000000005","51.4000000000005","51.6000000000005","51.8000000000005","52.0000000000005","52.2000000000005","52.4000000000005","52.6000000000005","52.8000000000005","53.0000000000005","53.2000000000005","53.4000000000005","53.6000000000005","53.8000000000005","54.0000000000005","54.2000000000005","54.4000000000005","54.6000000000005","54.8000000000005","55.0000000000005","55.2000000000005","55.4000000000005","55.6000000000005","55.8000000000005","56.0000000000005","56.2000000000005","56.4000000000005","56.6000000000005","56.8000000000005","57.0000000000005","57.2000000000005","57.4000000000005","57.6000000000005","57.8000000000006","58.0000000000006","58.2000000000006","58.4000000000006","58.6000000000006","58.8000000000006","59.0000000000006","59.2000000000006","59.4000000000006","59.6000000000006","59.8000000000006","60.0000000000006","60.2000000000006","60.4000000000006","60.6000000000006","60.8000000000006","61.0000000000006","61.2000000000006","61.4000000000006","61.6000000000006","61.8000000000006","62.0000000000006","62.2000000000006","62.4000000000006","62.6000000000006","62.8000000000006","63.0000000000006","63.2000000000006","63.4000000000006","63.6000000000006","63.8000000000006","64.0000000000006","64.2000000000006","64.4000000000006","64.6000000000006","64.8000000000006","65.0000000000006","65.2000000000006","65.4000000000006","65.6000000000005","65.8000000000005","66.0000000000005","66.2000000000005","66.4000000000005","66.6000000000005","66.8000000000005","67.0000000000005","67.2000000000005","67.4000000000004","67.6000000000004","67.8000000000004","68.0000000000004","68.2000000000004","68.4000000000004","68.6000000000004","68.8000000000004","69.0000000000004","69.2000000000003","69.4000000000003","69.6000000000003","69.8000000000003","70.0000000000003","70.2000000000003","70.4000000000003","70.6000000000003","70.8000000000003","71.0000000000002","71.2000000000002","71.4000000000002","71.6000000000002","71.8000000000002","72.0000000000002","72.2000000000002","72.4000000000002","72.6000000000002","72.8000000000001","73.0000000000001","73.2000000000001","73.4000000000001","73.6000000000001","73.8000000000001","74.0000000000001","74.2000000000001","74.4000000000000","74.6000000000000","74.8000000000000","75.0000000000000","75.2000000000000","75.4000000000000","75.6000000000000","75.8000000000000","76.0000000000000","76.1999999999999","76.3999999999999","76.5999999999999","76.7999999999999","76.9999999999999","77.1999999999999","77.3999999999999","77.5999999999999","77.7999999999999","77.9999999999998","78.1999999999998","78.3999999999998","78.5999999999998","78.7999999999998","78.9999999999998","79.1999999999998","79.3999999999998","79.5999999999998","79.7999999999997","79.9999999999997","80.1999999999997","80.3999999999997","80.5999999999997","80.7999999999997","80.9999999999997","81.1999999999997","81.3999999999997","81.5999999999996","81.7999999999996","81.9999999999996","82.1999999999996","82.3999999999996","82.5999999999996","82.7999999999996","82.9999999999996","83.1999999999995","83.3999999999995","83.5999999999995","83.7999999999995","83.9999999999995","84.1999999999995","84.3999999999995","84.5999999999995","84.7999999999995","84.9999999999994","85.1999999999994","85.3999999999994","85.5999999999994","85.7999999999994","85.9999999999994","86.1999999999994","86.3999999999994","86.5999999999994","86.7999999999993","86.9999999999993","87.1999999999993","87.3999999999993","87.5999999999993","87.7999999999993","87.9999999999993","88.1999999999993","88.3999999999993","88.5999999999992","88.7999999999992","88.9999999999992","89.1999999999992","89.3999999999992","89.5999999999992","89.7999999999992","89.9999999999992","90.1999999999992","90.3999999999991","90.5999999999991","90.7999999999991","90.9999999999991","91.1999999999991","91.3999999999991","91.5999999999991","91.7999999999991","91.9999999999990","92.1999999999990","92.3999999999990","92.5999999999990","92.7999999999990","92.9999999999990","93.1999999999990","93.3999999999990","93.5999999999990","93.7999999999989","93.9999999999989","94.1999999999989","94.3999999999989","94.5999999999989","94.7999999999989","94.9999999999989","95.1999999999989","95.3999999999989","95.5999999999988","95.7999999999988","95.9999999999988","96.1999999999988","96.3999999999988","96.5999999999988","96.7999999999988","96.9999999999988","97.1999999999988","97.3999999999987","97.5999999999987","97.7999999999987","97.9999999999987","98.1999999999987","98.3999999999987","98.5999999999987","98.7999999999987","98.9999999999986","99.1999999999986","99.3999999999986","99.5999999999986","99.7999999999986"],"var":"T0","width":null},{"animate":true,"control_type":"slider","default":100,"display_value":true,"label":"$S_0$","vals":["0.000000000000000","0.100000000000000","0.200000000000000","0.300000000000000","0.400000000000000","0.500000000000000","0.600000000000000","0.700000000000000","0.800000000000000","0.900000000000000","1.00000000000000","1.10000000000000","1.20000000000000","1.30000000000000","1.40000000000000","1.50000000000000","1.60000000000000","1.70000000000000","1.80000000000000","1.90000000000000","2.00000000000000","2.10000000000000","2.20000000000000","2.30000000000000","2.40000000000000","2.50000000000000","2.60000000000000","2.70000000000000","2.80000000000000","2.90000000000000","3.00000000000000","3.10000000000000","3.20000000000000","3.30000000000000","3.40000000000000","3.50000000000000","3.60000000000000","3.70000000000000","3.80000000000000","3.90000000000000","4.00000000000000","4.10000000000000","4.20000000000000","4.30000000000000","4.40000000000000","4.50000000000000","4.60000000000000","4.70000000000000","4.80000000000000","4.90000000000000","5.00000000000000","5.10000000000000","5.20000000000000","5.30000000000000","5.40000000000000","5.50000000000000","5.60000000000000","5.70000000000000","5.80000000000000","5.90000000000000","5.99999999999999","6.09999999999999","6.19999999999999","6.29999999999999","6.39999999999999","6.49999999999999","6.59999999999999","6.69999999999999","6.79999999999999","6.89999999999999","6.99999999999999","7.09999999999999","7.19999999999999","7.29999999999999","7.39999999999999","7.49999999999999","7.59999999999999","7.69999999999999","7.79999999999999","7.89999999999999","7.99999999999999","8.09999999999999","8.19999999999999","8.29999999999999","8.39999999999999","8.49999999999999","8.59999999999999","8.69999999999999","8.79999999999998","8.89999999999998","8.99999999999998","9.09999999999998","9.19999999999998","9.29999999999998","9.39999999999998","9.49999999999998","9.59999999999998","9.69999999999998","9.79999999999998","9.89999999999998","9.99999999999998","10.1000000000000","10.2000000000000","10.3000000000000","10.4000000000000","10.5000000000000","10.6000000000000","10.7000000000000","10.8000000000000","10.9000000000000","11.0000000000000","11.1000000000000","11.2000000000000","11.3000000000000","11.4000000000000","11.5000000000000","11.6000000000000","11.7000000000000","11.8000000000000","11.9000000000000","12.0000000000000","12.1000000000000","12.2000000000000","12.3000000000000","12.4000000000000","12.5000000000000","12.6000000000000","12.7000000000000","12.8000000000000","12.9000000000000","13.0000000000000","13.1000000000000","13.2000000000000","13.3000000000000","13.4000000000000","13.5000000000000","13.6000000000000","13.7000000000000","13.8000000000000","13.9000000000000","14.0000000000000","14.1000000000000","14.2000000000000","14.3000000000000","14.4000000000000","14.5000000000000","14.6000000000000","14.7000000000000","14.8000000000000","14.9000000000000","15.0000000000000","15.1000000000000","15.2000000000000","15.3000000000000","15.4000000000000","15.5000000000000","15.6000000000000","15.7000000000000","15.8000000000000","15.9000000000000","16.0000000000000","16.1000000000000","16.2000000000000","16.3000000000000","16.4000000000000","16.5000000000000","16.6000000000000","16.7000000000000","16.8000000000000","16.9000000000000","17.0000000000000","17.1000000000000","17.2000000000000","17.3000000000000","17.4000000000000","17.5000000000000","17.6000000000000","17.7000000000000","17.8000000000000","17.9000000000000","18.0000000000000","18.1000000000000","18.2000000000000","18.3000000000000","18.4000000000000","18.5000000000000","18.6000000000000","18.7000000000000","18.8000000000000","18.9000000000000","19.0000000000000","19.1000000000000","19.2000000000000","19.3000000000000","19.4000000000000","19.5000000000000","19.6000000000000","19.7000000000000","19.8000000000000","19.9000000000000","20.0000000000000","20.1000000000000","20.2000000000000","20.3000000000000","20.4000000000000","20.5000000000000","20.6000000000000","20.7000000000000","20.8000000000000","20.9000000000000","21.0000000000000","21.1000000000000","21.2000000000000","21.3000000000000","21.4000000000000","21.5000000000000","21.6000000000000","21.7000000000000","21.8000000000000","21.9000000000000","22.0000000000000","22.1000000000000","22.2000000000000","22.3000000000000","22.4000000000000","22.5000000000000","22.6000000000001","22.7000000000001","22.8000000000001","22.9000000000001","23.0000000000001","23.1000000000001","23.2000000000001","23.3000000000001","23.4000000000001","23.5000000000001","23.6000000000001","23.7000000000001","23.8000000000001","23.9000000000001","24.0000000000001","24.1000000000001","24.2000000000001","24.3000000000001","24.4000000000001","24.5000000000001","24.6000000000001","24.7000000000001","24.8000000000001","24.9000000000001","25.0000000000001","25.1000000000001","25.2000000000001","25.3000000000001","25.4000000000001","25.5000000000001","25.6000000000001","25.7000000000001","25.8000000000001","25.9000000000001","26.0000000000001","26.1000000000001","26.2000000000001","26.3000000000001","26.4000000000001","26.5000000000001","26.6000000000001","26.7000000000001","26.8000000000001","26.9000000000001","27.0000000000001","27.1000000000001","27.2000000000001","27.3000000000001","27.4000000000001","27.5000000000001","27.6000000000001","27.7000000000001","27.8000000000001","27.9000000000001","28.0000000000001","28.1000000000001","28.2000000000001","28.3000000000001","28.4000000000001","28.5000000000001","28.6000000000001","28.7000000000001","28.8000000000001","28.9000000000001","29.0000000000001","29.1000000000001","29.2000000000001","29.3000000000001","29.4000000000001","29.5000000000001","29.6000000000002","29.7000000000002","29.8000000000002","29.9000000000002","30.0000000000002","30.1000000000002","30.2000000000002","30.3000000000002","30.4000000000002","30.5000000000002","30.6000000000002","30.7000000000002","30.8000000000002","30.9000000000002","31.0000000000002","31.1000000000002","31.2000000000002","31.3000000000002","31.4000000000002","31.5000000000002","31.6000000000002","31.7000000000002","31.8000000000002","31.9000000000002","32.0000000000002","32.1000000000002","32.2000000000002","32.3000000000002","32.4000000000002","32.5000000000002","32.6000000000002","32.7000000000002","32.8000000000002","32.9000000000002","33.0000000000002","33.1000000000002","33.2000000000002","33.3000000000002","33.4000000000002","33.5000000000002","33.6000000000002","33.7000000000002","33.8000000000002","33.9000000000002","34.0000000000002","34.1000000000002","34.2000000000002","34.3000000000002","34.4000000000002","34.5000000000002","34.6000000000002","34.7000000000002","34.8000000000002","34.9000000000002","35.0000000000002","35.1000000000002","35.2000000000002","35.3000000000002","35.4000000000002","35.5000000000002","35.6000000000002","35.7000000000002","35.8000000000002","35.9000000000002","36.0000000000002","36.1000000000002","36.2000000000002","36.3000000000002","36.4000000000002","36.5000000000002","36.6000000000003","36.7000000000003","36.8000000000003","36.9000000000003","37.0000000000003","37.1000000000003","37.2000000000003","37.3000000000003","37.4000000000003","37.5000000000003","37.6000000000003","37.7000000000003","37.8000000000003","37.9000000000003","38.0000000000003","38.1000000000003","38.2000000000003","38.3000000000003","38.4000000000003","38.5000000000003","38.6000000000003","38.7000000000003","38.8000000000003","38.9000000000003","39.0000000000003","39.1000000000003","39.2000000000003","39.3000000000003","39.4000000000003","39.5000000000003","39.6000000000003","39.7000000000003","39.8000000000003","39.9000000000003","40.0000000000000"],"var":"S0","width":null}],"flicker":false,"id":"5d162cdb-14a5-44fd-bd5c-b793c0e1f727","layout":[[["r_T",12,null]],[["r_S",12,null]],[["beta",12,null]],[["m",12,null]],[["T0",12,null]],[["S0",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}
︠8d284a59-ef3d-47fd-b780-02bd6719c4b2︠













def Scale_vf(xy):
# a function that takes  a vector input and returns a scaled
# version of the vector to keep arrows from getting too long
#
    scale=sqrt(5+xy[0]^2+xy[1]^2)
    return [xy[0]/scale,xy[1]/scale]

vs=var('T,S') #tells the program we will be using S and T as the variables
t=srange(0,150,0.05) #sets up "t" as a list from 0 to 150 in steps of 0.05. This will be used later to make a trajectory line
Tmax=100 #setting up variables Tmax and Smax. These will be used to define the window size of the graph
Smax=40
@interact #starts the interaction program
def Shark_Tuna_norm(r_T=slider(0,0.4,0.01,default=0.1,label="$r_T$"), #these lines set up each of the sliders which will allow us to change the values of the coefficeints in the system of equations
                    r_S=slider(-0.5,0,0.1,default=-0.2,label="$r_S$"),
                    beta=slider(0,0.1,0.005,default=0.01,label="$\\beta$"),
                    m=slider(0,1,0.01,default=0.5,label="$m$"),
                    T0=slider(0,Tmax,0.1,default=20,label="$T_0$"),
                    S0=slider(0,Smax,0.1,default=10,label="$S_0$")):
    titleeq=("$T'= "+'%4.3f'%(r_T)+" T  - "'%4.3f'%(beta)+" S T$\n "
               +"$S' = "+'%4.3f'%(r_S)+" S  + "+'%4.3f'%(beta*m)+" S T$") #these two lines set up the title of the graph to display the system of equations with the current coefficient values displayed (based on what value the slider is at)
    vector_field=[r_T*T-beta*T*S-0.001*T*T,r_S*S+m*beta*T*S] #this line sets up the vector field with the T prime and S prime equations. Notice the new added T squared term for tuna competition
    initial_value=[T0,S0] #setting initial values for T and S
    pv=plot_vector_field(Scale_vf(vector_field),(T,0,Tmax),
                         (S,0,Smax),plot_points=11,axes_labels=["T","S"]) #these lines set up the rest of the vector field and store it as a variable "pv" and define figure size, labels etc
    sol1=desolve_odeint(vector_field,times=t,ics=initial_value,dvars=[T,S]) #this line sets up for plotting the trajectory line
    ps1=list_plot(sol1,plotjoined=True,color='green',thickness=2) #stores the trajectroy line as a variable "ps1"
    d1=disk(initial_value,1,(0,2*pi),color='green') #sets up a dot ("disk") to mark the start of the trajecctory line
    show(pv+ps1+d1,xmin=0,xmax=Tmax,ymin=0,ymax=Smax,
         aspect_ratio=1,title=titleeq,figsize=8,fontsize=20,svg=False)#these lines set up the system to display all the plots on one graph and make the figure square, add a nice title and show the size
︡4367278f-2720-42a1-904a-22e387a0c3b8︡{"interact":{"controls":[{"animate":true,"control_type":"slider","default":10,"display_value":true,"label":"$r_T$","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000"],"var":"r_T","width":null},{"animate":true,"control_type":"slider","default":3,"display_value":true,"label":"$r_S$","vals":["-0.500000000000000","-0.400000000000000","-0.300000000000000","-0.200000000000000","-0.100000000000000","0.000000000000000"],"var":"r_S","width":null},{"animate":true,"control_type":"slider","default":2,"display_value":true,"label":"$\\beta$","vals":["0.000000000000000","0.00500000000000000","0.0100000000000000","0.0150000000000000","0.0200000000000000","0.0250000000000000","0.0300000000000000","0.0350000000000000","0.0400000000000000","0.0450000000000000","0.0500000000000000","0.0550000000000000","0.0600000000000000","0.0650000000000000","0.0700000000000000","0.0750000000000000","0.0800000000000000","0.0850000000000000","0.0900000000000000","0.0950000000000000","0.100000000000000"],"var":"beta","width":null},{"animate":true,"control_type":"slider","default":50,"display_value":true,"label":"$m$","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"m","width":null},{"animate":true,"control_type":"slider","default":100,"display_value":true,"label":"$T_0$","vals":["0.000000000000000","0.200000000000000","0.400000000000000","0.600000000000000","0.800000000000000","1.00000000000000","1.20000000000000","1.40000000000000","1.60000000000000","1.80000000000000","2.00000000000000","2.20000000000000","2.40000000000000","2.60000000000000","2.80000000000000","3.00000000000000","3.20000000000000","3.40000000000000","3.60000000000000","3.80000000000000","4.00000000000000","4.20000000000000","4.40000000000000","4.60000000000000","4.80000000000000","5.00000000000000","5.20000000000000","5.40000000000000","5.60000000000000","5.80000000000000","5.99999999999999","6.19999999999999","6.39999999999999","6.59999999999999","6.79999999999999","6.99999999999999","7.19999999999999","7.39999999999999","7.59999999999999","7.79999999999999","7.99999999999999","8.19999999999999","8.39999999999999","8.59999999999999","8.79999999999998","8.99999999999998","9.19999999999998","9.39999999999998","9.59999999999998","9.79999999999998","9.99999999999998","10.2000000000000","10.4000000000000","10.6000000000000","10.8000000000000","11.0000000000000","11.2000000000000","11.4000000000000","11.6000000000000","11.8000000000000","12.0000000000000","12.2000000000000","12.4000000000000","12.6000000000000","12.8000000000000","13.0000000000000","13.2000000000000","13.4000000000000","13.6000000000000","13.8000000000000","14.0000000000000","14.2000000000000","14.4000000000000","14.6000000000000","14.8000000000000","15.0000000000000","15.2000000000000","15.4000000000000","15.6000000000000","15.8000000000000","16.0000000000000","16.2000000000000","16.4000000000000","16.6000000000000","16.8000000000000","17.0000000000000","17.2000000000000","17.4000000000000","17.6000000000000","17.8000000000000","18.0000000000000","18.2000000000000","18.4000000000000","18.6000000000000","18.8000000000000","19.0000000000000","19.2000000000000","19.4000000000000","19.6000000000000","19.8000000000000","20.0000000000000","20.2000000000000","20.4000000000000","20.6000000000000","20.8000000000000","21.0000000000000","21.2000000000000","21.4000000000000","21.6000000000000","21.8000000000000","22.0000000000000","22.2000000000000","22.4000000000000","22.6000000000001","22.8000000000001","23.0000000000001","23.2000000000001","23.4000000000001","23.6000000000001","23.8000000000001","24.0000000000001","24.2000000000001","24.4000000000001","24.6000000000001","24.8000000000001","25.0000000000001","25.2000000000001","25.4000000000001","25.6000000000001","25.8000000000001","26.0000000000001","26.2000000000001","26.4000000000001","26.6000000000001","26.8000000000001","27.0000000000001","27.2000000000001","27.4000000000001","27.6000000000001","27.8000000000001","28.0000000000001","28.2000000000001","28.4000000000001","28.6000000000001","28.8000000000001","29.0000000000001","29.2000000000001","29.4000000000001","29.6000000000002","29.8000000000002","30.0000000000002","30.2000000000002","30.4000000000002","30.6000000000002","30.8000000000002","31.0000000000002","31.2000000000002","31.4000000000002","31.6000000000002","31.8000000000002","32.0000000000002","32.2000000000002","32.4000000000002","32.6000000000002","32.8000000000002","33.0000000000002","33.2000000000002","33.4000000000002","33.6000000000002","33.8000000000002","34.0000000000002","34.2000000000002","34.4000000000002","34.6000000000002","34.8000000000002","35.0000000000002","35.2000000000002","35.4000000000002","35.6000000000002","35.8000000000002","36.0000000000002","36.2000000000002","36.4000000000002","36.6000000000003","36.8000000000003","37.0000000000003","37.2000000000003","37.4000000000003","37.6000000000003","37.8000000000003","38.0000000000003","38.2000000000003","38.4000000000003","38.6000000000003","38.8000000000003","39.0000000000003","39.2000000000003","39.4000000000003","39.6000000000003","39.8000000000003","40.0000000000003","40.2000000000003","40.4000000000003","40.6000000000003","40.8000000000003","41.0000000000003","41.2000000000003","41.4000000000003","41.6000000000003","41.8000000000003","42.0000000000003","42.2000000000003","42.4000000000003","42.6000000000003","42.8000000000003","43.0000000000003","43.2000000000003","43.4000000000003","43.6000000000003","43.8000000000004","44.0000000000004","44.2000000000004","44.4000000000004","44.6000000000004","44.8000000000004","45.0000000000004","45.2000000000004","45.4000000000004","45.6000000000004","45.8000000000004","46.0000000000004","46.2000000000004","46.4000000000004","46.6000000000004","46.8000000000004","47.0000000000004","47.2000000000004","47.4000000000004","47.6000000000004","47.8000000000004","48.0000000000004","48.2000000000004","48.4000000000004","48.6000000000004","48.8000000000004","49.0000000000004","49.2000000000004","49.4000000000004","49.6000000000004","49.8000000000004","50.0000000000004","50.2000000000004","50.4000000000004","50.6000000000004","50.8000000000005","51.0000000000005","51.2000000000005","51.4000000000005","51.6000000000005","51.8000000000005","52.0000000000005","52.2000000000005","52.4000000000005","52.6000000000005","52.8000000000005","53.0000000000005","53.2000000000005","53.4000000000005","53.6000000000005","53.8000000000005","54.0000000000005","54.2000000000005","54.4000000000005","54.6000000000005","54.8000000000005","55.0000000000005","55.2000000000005","55.4000000000005","55.6000000000005","55.8000000000005","56.0000000000005","56.2000000000005","56.4000000000005","56.6000000000005","56.8000000000005","57.0000000000005","57.2000000000005","57.4000000000005","57.6000000000005","57.8000000000006","58.0000000000006","58.2000000000006","58.4000000000006","58.6000000000006","58.8000000000006","59.0000000000006","59.2000000000006","59.4000000000006","59.6000000000006","59.8000000000006","60.0000000000006","60.2000000000006","60.4000000000006","60.6000000000006","60.8000000000006","61.0000000000006","61.2000000000006","61.4000000000006","61.6000000000006","61.8000000000006","62.0000000000006","62.2000000000006","62.4000000000006","62.6000000000006","62.8000000000006","63.0000000000006","63.2000000000006","63.4000000000006","63.6000000000006","63.8000000000006","64.0000000000006","64.2000000000006","64.4000000000006","64.6000000000006","64.8000000000006","65.0000000000006","65.2000000000006","65.4000000000006","65.6000000000005","65.8000000000005","66.0000000000005","66.2000000000005","66.4000000000005","66.6000000000005","66.8000000000005","67.0000000000005","67.2000000000005","67.4000000000004","67.6000000000004","67.8000000000004","68.0000000000004","68.2000000000004","68.4000000000004","68.6000000000004","68.8000000000004","69.0000000000004","69.2000000000003","69.4000000000003","69.6000000000003","69.8000000000003","70.0000000000003","70.2000000000003","70.4000000000003","70.6000000000003","70.8000000000003","71.0000000000002","71.2000000000002","71.4000000000002","71.6000000000002","71.8000000000002","72.0000000000002","72.2000000000002","72.4000000000002","72.6000000000002","72.8000000000001","73.0000000000001","73.2000000000001","73.4000000000001","73.6000000000001","73.8000000000001","74.0000000000001","74.2000000000001","74.4000000000000","74.6000000000000","74.8000000000000","75.0000000000000","75.2000000000000","75.4000000000000","75.6000000000000","75.8000000000000","76.0000000000000","76.1999999999999","76.3999999999999","76.5999999999999","76.7999999999999","76.9999999999999","77.1999999999999","77.3999999999999","77.5999999999999","77.7999999999999","77.9999999999998","78.1999999999998","78.3999999999998","78.5999999999998","78.7999999999998","78.9999999999998","79.1999999999998","79.3999999999998","79.5999999999998","79.7999999999997","79.9999999999997","80.1999999999997","80.3999999999997","80.5999999999997","80.7999999999997","80.9999999999997","81.1999999999997","81.3999999999997","81.5999999999996","81.7999999999996","81.9999999999996","82.1999999999996","82.3999999999996","82.5999999999996","82.7999999999996","82.9999999999996","83.1999999999995","83.3999999999995","83.5999999999995","83.7999999999995","83.9999999999995","84.1999999999995","84.3999999999995","84.5999999999995","84.7999999999995","84.9999999999994","85.1999999999994","85.3999999999994","85.5999999999994","85.7999999999994","85.9999999999994","86.1999999999994","86.3999999999994","86.5999999999994","86.7999999999993","86.9999999999993","87.1999999999993","87.3999999999993","87.5999999999993","87.7999999999993","87.9999999999993","88.1999999999993","88.3999999999993","88.5999999999992","88.7999999999992","88.9999999999992","89.1999999999992","89.3999999999992","89.5999999999992","89.7999999999992","89.9999999999992","90.1999999999992","90.3999999999991","90.5999999999991","90.7999999999991","90.9999999999991","91.1999999999991","91.3999999999991","91.5999999999991","91.7999999999991","91.9999999999990","92.1999999999990","92.3999999999990","92.5999999999990","92.7999999999990","92.9999999999990","93.1999999999990","93.3999999999990","93.5999999999990","93.7999999999989","93.9999999999989","94.1999999999989","94.3999999999989","94.5999999999989","94.7999999999989","94.9999999999989","95.1999999999989","95.3999999999989","95.5999999999988","95.7999999999988","95.9999999999988","96.1999999999988","96.3999999999988","96.5999999999988","96.7999999999988","96.9999999999988","97.1999999999988","97.3999999999987","97.5999999999987","97.7999999999987","97.9999999999987","98.1999999999987","98.3999999999987","98.5999999999987","98.7999999999987","98.9999999999986","99.1999999999986","99.3999999999986","99.5999999999986","99.7999999999986"],"var":"T0","width":null},{"animate":true,"control_type":"slider","default":100,"display_value":true,"label":"$S_0$","vals":["0.000000000000000","0.100000000000000","0.200000000000000","0.300000000000000","0.400000000000000","0.500000000000000","0.600000000000000","0.700000000000000","0.800000000000000","0.900000000000000","1.00000000000000","1.10000000000000","1.20000000000000","1.30000000000000","1.40000000000000","1.50000000000000","1.60000000000000","1.70000000000000","1.80000000000000","1.90000000000000","2.00000000000000","2.10000000000000","2.20000000000000","2.30000000000000","2.40000000000000","2.50000000000000","2.60000000000000","2.70000000000000","2.80000000000000","2.90000000000000","3.00000000000000","3.10000000000000","3.20000000000000","3.30000000000000","3.40000000000000","3.50000000000000","3.60000000000000","3.70000000000000","3.80000000000000","3.90000000000000","4.00000000000000","4.10000000000000","4.20000000000000","4.30000000000000","4.40000000000000","4.50000000000000","4.60000000000000","4.70000000000000","4.80000000000000","4.90000000000000","5.00000000000000","5.10000000000000","5.20000000000000","5.30000000000000","5.40000000000000","5.50000000000000","5.60000000000000","5.70000000000000","5.80000000000000","5.90000000000000","5.99999999999999","6.09999999999999","6.19999999999999","6.29999999999999","6.39999999999999","6.49999999999999","6.59999999999999","6.69999999999999","6.79999999999999","6.89999999999999","6.99999999999999","7.09999999999999","7.19999999999999","7.29999999999999","7.39999999999999","7.49999999999999","7.59999999999999","7.69999999999999","7.79999999999999","7.89999999999999","7.99999999999999","8.09999999999999","8.19999999999999","8.29999999999999","8.39999999999999","8.49999999999999","8.59999999999999","8.69999999999999","8.79999999999998","8.89999999999998","8.99999999999998","9.09999999999998","9.19999999999998","9.29999999999998","9.39999999999998","9.49999999999998","9.59999999999998","9.69999999999998","9.79999999999998","9.89999999999998","9.99999999999998","10.1000000000000","10.2000000000000","10.3000000000000","10.4000000000000","10.5000000000000","10.6000000000000","10.7000000000000","10.8000000000000","10.9000000000000","11.0000000000000","11.1000000000000","11.2000000000000","11.3000000000000","11.4000000000000","11.5000000000000","11.6000000000000","11.7000000000000","11.8000000000000","11.9000000000000","12.0000000000000","12.1000000000000","12.2000000000000","12.3000000000000","12.4000000000000","12.5000000000000","12.6000000000000","12.7000000000000","12.8000000000000","12.9000000000000","13.0000000000000","13.1000000000000","13.2000000000000","13.3000000000000","13.4000000000000","13.5000000000000","13.6000000000000","13.7000000000000","13.8000000000000","13.9000000000000","14.0000000000000","14.1000000000000","14.2000000000000","14.3000000000000","14.4000000000000","14.5000000000000","14.6000000000000","14.7000000000000","14.8000000000000","14.9000000000000","15.0000000000000","15.1000000000000","15.2000000000000","15.3000000000000","15.4000000000000","15.5000000000000","15.6000000000000","15.7000000000000","15.8000000000000","15.9000000000000","16.0000000000000","16.1000000000000","16.2000000000000","16.3000000000000","16.4000000000000","16.5000000000000","16.6000000000000","16.7000000000000","16.8000000000000","16.9000000000000","17.0000000000000","17.1000000000000","17.2000000000000","17.3000000000000","17.4000000000000","17.5000000000000","17.6000000000000","17.7000000000000","17.8000000000000","17.9000000000000","18.0000000000000","18.1000000000000","18.2000000000000","18.3000000000000","18.4000000000000","18.5000000000000","18.6000000000000","18.7000000000000","18.8000000000000","18.9000000000000","19.0000000000000","19.1000000000000","19.2000000000000","19.3000000000000","19.4000000000000","19.5000000000000","19.6000000000000","19.7000000000000","19.8000000000000","19.9000000000000","20.0000000000000","20.1000000000000","20.2000000000000","20.3000000000000","20.4000000000000","20.5000000000000","20.6000000000000","20.7000000000000","20.8000000000000","20.9000000000000","21.0000000000000","21.1000000000000","21.2000000000000","21.3000000000000","21.4000000000000","21.5000000000000","21.6000000000000","21.7000000000000","21.8000000000000","21.9000000000000","22.0000000000000","22.1000000000000","22.2000000000000","22.3000000000000","22.4000000000000","22.5000000000000","22.6000000000001","22.7000000000001","22.8000000000001","22.9000000000001","23.0000000000001","23.1000000000001","23.2000000000001","23.3000000000001","23.4000000000001","23.5000000000001","23.6000000000001","23.7000000000001","23.8000000000001","23.9000000000001","24.0000000000001","24.1000000000001","24.2000000000001","24.3000000000001","24.4000000000001","24.5000000000001","24.6000000000001","24.7000000000001","24.8000000000001","24.9000000000001","25.0000000000001","25.1000000000001","25.2000000000001","25.3000000000001","25.4000000000001","25.5000000000001","25.6000000000001","25.7000000000001","25.8000000000001","25.9000000000001","26.0000000000001","26.1000000000001","26.2000000000001","26.3000000000001","26.4000000000001","26.5000000000001","26.6000000000001","26.7000000000001","26.8000000000001","26.9000000000001","27.0000000000001","27.1000000000001","27.2000000000001","27.3000000000001","27.4000000000001","27.5000000000001","27.6000000000001","27.7000000000001","27.8000000000001","27.9000000000001","28.0000000000001","28.1000000000001","28.2000000000001","28.3000000000001","28.4000000000001","28.5000000000001","28.6000000000001","28.7000000000001","28.8000000000001","28.9000000000001","29.0000000000001","29.1000000000001","29.2000000000001","29.3000000000001","29.4000000000001","29.5000000000001","29.6000000000002","29.7000000000002","29.8000000000002","29.9000000000002","30.0000000000002","30.1000000000002","30.2000000000002","30.3000000000002","30.4000000000002","30.5000000000002","30.6000000000002","30.7000000000002","30.8000000000002","30.9000000000002","31.0000000000002","31.1000000000002","31.2000000000002","31.3000000000002","31.4000000000002","31.5000000000002","31.6000000000002","31.7000000000002","31.8000000000002","31.9000000000002","32.0000000000002","32.1000000000002","32.2000000000002","32.3000000000002","32.4000000000002","32.5000000000002","32.6000000000002","32.7000000000002","32.8000000000002","32.9000000000002","33.0000000000002","33.1000000000002","33.2000000000002","33.3000000000002","33.4000000000002","33.5000000000002","33.6000000000002","33.7000000000002","33.8000000000002","33.9000000000002","34.0000000000002","34.1000000000002","34.2000000000002","34.3000000000002","34.4000000000002","34.5000000000002","34.6000000000002","34.7000000000002","34.8000000000002","34.9000000000002","35.0000000000002","35.1000000000002","35.2000000000002","35.3000000000002","35.4000000000002","35.5000000000002","35.6000000000002","35.7000000000002","35.8000000000002","35.9000000000002","36.0000000000002","36.1000000000002","36.2000000000002","36.3000000000002","36.4000000000002","36.5000000000002","36.6000000000003","36.7000000000003","36.8000000000003","36.9000000000003","37.0000000000003","37.1000000000003","37.2000000000003","37.3000000000003","37.4000000000003","37.5000000000003","37.6000000000003","37.7000000000003","37.8000000000003","37.9000000000003","38.0000000000003","38.1000000000003","38.2000000000003","38.3000000000003","38.4000000000003","38.5000000000003","38.6000000000003","38.7000000000003","38.8000000000003","38.9000000000003","39.0000000000003","39.1000000000003","39.2000000000003","39.3000000000003","39.4000000000003","39.5000000000003","39.6000000000003","39.7000000000003","39.8000000000003","39.9000000000003","40.0000000000000"],"var":"S0","width":null}],"flicker":false,"id":"abd6e816-e616-4170-b798-3fa6c5bddc6f","layout":[[["r_T",12,null]],[["r_S",12,null]],[["beta",12,null]],[["m",12,null]],[["T0",12,null]],[["S0",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}
︠73b79808-ddb5-43fa-8f86-5dc4d245f195︠
︡57ec4ae2-471b-4d17-aac2-cc14b0845ade︡









